// StupidWay.h
// Handle Life propagation the stupid, but simple way
// Copyright 1995 Michael D. Crawford.  All Rights Reserved.
// 23 Jun 95 Mike Crawford crawford@scruznet.com
//
// Revision History:
// 12 Jul 95	MDC	New today

typedef struct{
	long		color;
	Handle		myDataTic;
	Handle		myDataToc;
	long		height;			// Yes, this is repeated here
	long		width;
	unsigned long *	life_base;
	short		rowbytes;
	Boolean		tic;
}tStupidData, *tStupidPtr, **StupidHand;

Boolean PIReadACellPriviate(Handle ThePrivateData,long x, long y);
OSErr PISetOtherCell(Handle ThePrivateData,long x, long y, Boolean state);

OSErr PISetTicCell(Handle ThePrivateData,long x, long y);
OSErr PISetTocCell(Handle ThePrivateData,long x, long y);
OSErr PIClearTicCell(Handle ThePrivateData,long x, long y);
OSErr PIClearTocCell(Handle ThePrivateData,long x, long y);

Boolean PIReadATicCell(Handle ThePrivateData,long x, long y);
Boolean PIReadATocCell(Handle ThePrivateData,long x, long y);
