// 42_plugin_ball.h

extern forty_two_plugin_api	plugin_ball;

#define BALL_COLOR 1

typedef struct{
	long			color;
	unsigned long *	ball_base;
	short			rowbytes;
}tBallData, *tBallPtr, **BallHand;


int ball_init(void);
int ball_kill(void);
int ball_ipc(int sel, unsigned long msg);
int ball_idle(void);

void ball_color(unsigned long color);
void ball_reset();
void draw_ball_line(vector unsigned short line, vector unsigned char * ptr);
void next_ball(void);
