#pragma once
#ifndef INCLUDED_PO_SETUPA5
#define INCLUDED_PO_SETUPA5

#ifdef __cplusplus
extern "C" {
#endif

#if !defined(__POWERPC__) && !defined(__CFM68K__)

	static void RememberA5(void);
	
	static asm long SetUpA5(void)
	{
		move.l	a5,d0
		lea		__storage,a5
		move.l	(a5),a5
		rts
	
	__storage:	dc.l	0	/* this storage is only referenced thru data cache */
	
		entry	static RememberA5
		lea		__storage,a0
		move.l	a5,(a0)
		rts
	}
	
	static long RestoreA5(long:__D0):__D0 = 0xC18D;	// exg d0,a5

#else

	#define RememberA5() 	0
	#define SetUpA5() 		0L
	#define RestoreA5(x)	0L
	
#endif

#ifdef __cplusplus
}
#endif

#endif
