#pragma once
#ifndef INCLUDED_PO_STREAMREF
#define INCLUDED_PO_STREAMREF
////////////////////////////////////////////////////////////////////////////////////////
//
//	INTERFACE:		PO_StreamRef
//
//	DESCRIPTION:	Forward declaration of a PO_StreamRef
//					which is really a PO_Ref<PO_Stream>
//
//	AUTHORS:		Bill Hubauer (BH)
//
//	HISTORY:
//		WHEN		WHO		WHAT
//		----		---		----
//		??			BH		Created
//		3/13/97		BH		Cleaned up for "Power On Libraries"
//
////////////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////////////
//	INCLUDES
////////////////////////////////////////////////////////////////////////////////////////

#ifndef INCLUDED_PO_REF
#include "PO_Ref.h"
#endif


////////////////////////////////////////////////////////////////////////////////////////
//	DECLARATIONS
////////////////////////////////////////////////////////////////////////////////////////

DEFINE_REF(PO_Stream);


#endif