#pragma once
#ifndef INCLUDED_TR_InetResolver
#define INCLUDED_TR_InetResolver

////////////////////////////////////////////////////////////////////////
//
//	CLASS:	TR_InetResolver
//
//	DESCRIPTION:
//
//	HISTROY:
//		WHEN		WHO					WHAT
//		----		---					----
//		Tue, Oct 28, 1997		Bill Hubauer				created
//
////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////
//	INCLUDES
////////////////////////////////////////////////////////////////////////
#include <OpenTransport.h>



////////////////////////////////////////////////////////////////////////
//	PUBLIC INTERFACE
////////////////////////////////////////////////////////////////////////



class TR_InetResolver
{
	public:
		TR_InetResolver();
		virtual ~TR_InetResolver();
		
		static	OSStatus	Resolve(char* inAddress,UInt32& outHost,UInt16& outPort)
		{
			return sInetResolver._Resolve(inAddress,outHost,outPort);
		}
		
	private:
	
		OSStatus	_Resolve(char* inAddress,UInt32& outHost,UInt16& outPort);
		OSStatus	_Open();
		
		
		static TR_InetResolver	sInetResolver;
		
		MapperRef				fRef;
		Boolean					fInitedQ;
		
};



#endif
