#ifndef _BASEDIALOG_
#define _BASEDIALOG_

#include <Dialogs.h>
#include "BaseWindow.h"


typedef class BaseDialog : public BaseWindow
{
public:
	DialogPtr	fDialog;
	
	BaseDialog(UInt32 dialogID,Boolean isModal);
	virtual ~BaseDialog(void);
	
	virtual void DoDialogEvent(EventRecord *event);
	
	virtual void HandleDialogEvent(EventRecord *event);
	virtual Boolean HandleDialogEventFilter(EventRecord *event);
	virtual void HandleDialogItemhit(short item);
	virtual Boolean HandleOKButtonHiliteQuery(void);
	
	virtual void DrawThickOutline(short item);
	virtual void SetOKState(Boolean isActive);
	virtual void AnimateButtonPress(short item);
	virtual void GetItemText(short item,char *text);
	virtual int GetItemTextAsDecimal(short item);
	virtual void SetItemText(short item,char *text);
	virtual void SetItemTextf(short item,char *format,...);
	virtual void AppendItemText(short item,char *text);
	virtual void AppendItemTextf(short item,char *format,...);
} BaseDialog;


#endif /* _BASEDIALOG_ */
