#ifndef _BASEEVENTMANAGER_
#define _BASEEVENTMANAGER_

#ifndef _EVENTMANAGER_
#include "EventManager.h"
#endif	


typedef class BaseEventManager : public EventManager
{
public:
	virtual void DoDispatch(EventRecord *event,Boolean isSystemWindow);
	
	virtual void HandleNullEventDispatch(EventRecord *event);
	virtual void HandleMouseDownDispatch(EventRecord *event,Boolean isSystemWindow);
	virtual void HandleMouseUpDispatch(EventRecord *event);
	virtual void HandleKeyDownDispatch(EventRecord *event);
	virtual void HandleKeyUpDispatch(EventRecord *event);
	virtual void HandleAutoKeyDispatch(EventRecord *event);
	virtual void HandleUpdateEvtDispatch(EventRecord *event);
	virtual void HandleActivateEvtDispatch(EventRecord *event);
	virtual void HandleOSEvtDispatch(EventRecord *event);
	virtual void HandleHighLevelEventDispatch(EventRecord *event);
	virtual void HandleDialogEventDispatch(EventRecord *event);
	virtual void HandleInMenuBarDispatch(EventRecord *event);
} BaseEventManager;


#endif /* _BASEEVENTMANAGER_ */
