#ifndef _FILEUTILS_
#define _FILEUTILS_

#include <Files.h>
#include <Types.h>

#ifdef __cplusplus
extern "C" {
#endif


OSStatus CreateTempDirectory(short *vRefNum,long *parID,StringPtr name,long *dirID);
OSStatus CreateTempFile(short *vRefNum,long *dirID,StringPtr name);
OSStatus DeleteDirectory(short vRefNum,long dirID,StringPtr name);
OSStatus DeleteDirectoryContentsFromID(short vRefNum,long dirID);
OSStatus DeleteDirOrFile(short vRefNum,long dirID,StringPtr name);
OSStatus DeleteFile(short vRefNum,long dirID,StringPtr name);
OSStatus GetDirectoryID(short vRefNum,long dirID,StringPtr name,long *theDirID,Boolean *isDirectory);
OSStatus GetDirOrFileVisibility(short vRefNum,long dirID,StringPtr name,Boolean *isVisible);
OSStatus SameDirOrFile(short vRefNum1,long dirID1,StringPtr name1,short vRefNum2,long dirID2,StringPtr name2,Boolean *same);
OSStatus SetDirOrFileVisibility(short vRefNum,long dirID,StringPtr name,Boolean isVisible);
OSStatus FSCreateTempDirectory(FSSpec *tmpDir,long *dirID);
OSStatus FSCreateTempFile(FSSpec *tmpFile);
OSStatus FSDeleteDirectory(FSSpec *dirSpec);
OSStatus FSDeleteDirOrFile(FSSpec *dirOrFileSpec);
OSStatus FSDeleteFile(FSSpec *fileSpec);
OSStatus FSGetDirectoryID(FSSpec *dirOrFileSpec,long *theDirID,Boolean *isDirectory);
OSStatus FSGetDirOrFileVisibility(FSSpec *dirOrFileSpec,Boolean *isVisible);
OSStatus FSSameDirOrFile(FSSpec *fileOrDir1,FSSpec *fileOrDir2,Boolean *same);
OSStatus FSSetDirOrFileVisibility(FSSpec *dirOrFileSpec,Boolean isVisible);


#ifdef __cplusplus
}
#endif

#endif /* _FILEUTILS_ */
