#ifndef _MENU_
#define _MENU_

#include <Menus.h>
#include "Window.h"


enum
{
	kDisabled		= (1L << 0)
};


typedef class Menu
{
public:
	MenuHandle	fMenu;
	UInt32		fFlags;
	
	virtual void DoUpdate(void) = 0;
	virtual void DoSelect(UInt32 item) = 0;
	virtual Boolean DoSetDisableState(Boolean isBeingDisabled) = 0;
	virtual void DoWindowNotice(Window *window,Boolean isBeingAdded) = 0;
	virtual void DoWindowActivation(Window *window,Boolean isBeingActivated) = 0;
} Menu;


#endif /* _MENU_ */
