#ifndef _WINDOWMANAGER_
#define _WINDOWMANAGER_

#ifndef _WINDOW_
#include "Window.h"
#endif





typedef class WindowManager
{
public:
	virtual void DoAddWindow(Window *window) = 0;
	virtual void DoDeleteWindow(Window *window) = 0;
	virtual void DoClick(Point where,UInt32 modifiers,WindowPtr window,SInt32 part) = 0;
	virtual void DoIdleTime(EventRecord *event,Point mouse,UInt32 modifiers) = 0;
	virtual void DoActivation(WindowPtr window,Boolean isActivating) = 0;
	virtual void DoSuspendResume(EventRecord *event,Boolean isSuspend) = 0;
	
	virtual Window *DoGetFrontWindow(void) = 0;
	virtual Window *DoGetNextWindow(Window *window) = 0;
	virtual Window *DoGetWindow(WindowPtr window) = 0;
} WindowManager;


#endif /* _WINDOWMANAGER_ */
