// DeleteAction.h

#ifndef DeleteAction_h
#define DeleteAction_h

#ifndef AEList_h
#include "AEList.h"
#endif
#ifndef Action_h
#include "Action.h"
#endif
#ifndef AEEvent_h
#include "AEEvent.h"
#endif

class DeleteAction: public Action
  {
	private:
		AEList selection;
		AEEvent event;
		
	public:
		void SetEvent( const AEList& selection,
							const AEEvent& event );
		
		virtual void Undo();
		virtual void Redo();
  };

#endif
