// DuplicateAction.h

#ifndef DuplicateAction_h
#define DuplicateAction_h

#ifndef Action_h
#include "Action.h"
#endif
#ifndef AEEvent_h
#include "AEEvent.h"
#endif

class FileLocation;
class Directory;
class CatInfo;

class DuplicateAction: public Action
  {
	private:
		AEList selection;
		AEEvent event;
	
		static bool CouldBeDuplicate( const CatInfo& original,
											   const CatInfo& copy );
		
		static FileLocation FindDuplicate( const FileLocation& original );
		
	public:
		void SetEvent( const AEList& selection,
							const AEEvent& event );
		
		virtual void Undo();
		virtual void Redo();
  };

#endif
