// LockAction.h

#ifndef LockAction_h
#define LockAction_h

#ifndef Action_h
#include "Action.h"
#endif
#ifndef AEEvent_h
#include "AEEvent.h"
#endif

class LockAction: public Action
  {
	private:
		AEEvent event;
		bool locking;
		
	public:
		void SetEvent( const AEEvent& event );
		
		bool Locking() const		{ return locking; }
		
		virtual void Undo();
		virtual void Redo();
  };

#endif
