// MakeAliasAction.h

#ifndef MakeAliasAction_h
#define MakeAliasAction_h

#ifndef Action_h
#include "Action.h"
#endif
#ifndef AEEvent_h
#include "AEEvent.h"
#endif

class FileLocation;
class Directory;
class CatInfo;

class MakeAliasAction: public Action
  {
	private:
		AEList selection;
		AEEvent event;
	
		static bool CouldBeNewAlias( const FileLocation& original,
											  const CatInfo& );
		
		static FileLocation FindNewAlias( const FileLocation& original,
													 Directory parent );
		
	public:
		void SetEvent( const AEList& selection,
							const AEEvent& event );
		
		virtual void Undo();
		virtual void Redo();
  };

#endif
