// AppleEventRecorderSilencer.cp

#ifndef AppleEventRecorderSilencer_h
#include "AppleEventRecorderSilencer.h"
#endif

static const long newPtrProcInfo =
							kRegisterBased
							| RESULT_SIZE(SIZE_CODE(sizeof(Ptr)))
							| REGISTER_RESULT_LOCATION(kRegisterA0)
							| REGISTER_ROUTINE_PARAMETER(1, kRegisterD1, SIZE_CODE(sizeof(int16)))
							| REGISTER_ROUTINE_PARAMETER(2, kRegisterD0, SIZE_CODE(sizeof(Size)));

static UniversalProcPtr old;

static pascal Ptr MyNewPtrSysClear( int16 trap, Size size )
  {
	if ( size == sizeof(NMRec) && (trap & 0x600) == (_NewPtrSysClear & 0x600) )
		return 0;
	return (Ptr)CallOSTrapUniversalProc( old, newPtrProcInfo, trap, size );
  }

static const RoutineDescriptor descriptor =
	BUILD_ROUTINE_DESCRIPTOR( newPtrProcInfo, &::MyNewPtrSysClear );

AppleEventRecorderSilencer::AppleEventRecorderSilencer()
  : patch( OSTrap, _NewPtrSysClear, newPtrProcInfo, &descriptor )
  {
	old = patch.Old();
  }

AppleEventRecorderSilencer::~AppleEventRecorderSilencer()
  {
  }