// UnfinderApplication.h

#ifndef UnfinderApplication_h
#define UnfinderApplication_h

#ifndef Application_h
#include "Application.h"
#endif
#ifndef UnfinderMenus_h
#include "UnfinderMenus.h"
#endif
#ifndef BackgroundApplication_h
#include "BackgroundApplication.h"
#endif

/* For testing:
	class UnfinderApplication: public Application,
										public UnfinderMenus
*/

class UnfinderApplication: public BackgroundApplication
  {
	private:
		AppleEventHandler<UnfinderApplication> undo;
		AppleEventHandler<UnfinderApplication> info;
		
		UnfinderApplication();
				
	public:
		static UnfinderApplication& The();
		
		virtual bool CanCreate() const;
		virtual void Create();
		
		void Undo( const AEEvent& event, AEEvent& reply );
		void GetInfo( const AEEvent& event, AEEvent& reply );
  };

#endif
