// UnfinderMenus.cp

#ifndef UnfinderMenus_h
#include "UnfinderMenus.h"
#endif
#ifndef PlainMenuItem_h
#include "PlainMenuItem.h"
#endif
#ifndef Quitting_h
#include "Quitting.h"
#endif
#ifndef AppleMenu_h
#include "AppleMenu.h"
#endif
#ifndef UndoMenuItem_h
#include "UndoMenuItem.h"
#endif

UnfinderMenus::UnfinderMenus()
  {
	static AppleMenu apple( ResourceID( 128 ) );
	
	static Menu file( ResourceID( 129 ) );
		static PlainMenuItem<Quitting>	quit			( file, &Quitting::QuitAskingToSave, &Quitting::CanQuit );
	
	static Menu edit( ResourceID( 130 ) );
		static UndoMenuItem					undo			( edit );
  }
