#pragma once


#include "TR_Responder.h"
#include "TR_BufferPool.h"
#include "TR_DeferredActions.h"


class	CDTrayServer : public TR_ResponderEventReceiver
{
	public:
		CDTrayServer(OSStatus& outErr);
		~CDTrayServer();

		void	Idle();

	
	protected:
	
		// this functions are inherited from TR_ResponderEventReceiver
		
		virtual	void	NotifyNewRequest(TR_Responder* inResponder,TR_RequestCookie inRequest);
		virtual void	NotifyResponseComplete(TR_Responder* inResponder,
												TR_IncommingRequest* inRequest,
												void* inUserData);

	
	private:

		TR_Responder*		fResponder;
		TR_BufferPool		fRespBufferPool;
		bool				fActiveQ;
};

