/****************************************************************************************
	MenuList.h
	
	Copyright  1999 Red Shed Software. All rights reserved.
	by Jonathan 'Wolf' Rentzsch (jon@redshed.net)
	
	Commenter	Date				Comment
	---------	-----------------	-----------------------------------------------------
	wolf		Fri, Jun 25, 1999	Created.
	
	************************************************************************************/

#ifndef		_MenuList_
#define		_MenuList_

#include	"begin_extern_c.h"

/*	From Inside Macintosh Volume I:
	Bytes	Contents
	2		Offset from beginning of menu list to last menu handle.
			(the number of menus in the list times 6)
	2		Horizontal coordinate of right edge of menu title of last menu in list.
	2		not used

	For each menu:

	4		Menu Handle
	2		Horizontal coordinate of left edge of menu */

#pragma options align=mac68k
typedef	struct	{
	MenuHandle	menu;
	UInt16		leftEdge;
}	MenuListItem;

typedef	struct	{
	UInt16			menuCount;	//	divide by six
	UInt16			rightEdge;
	UInt16			reserved;
	MenuListItem	menus[ 1 ];
}	MenuListRec, *MenuListPtr, **MenuListHandle;
#pragma options align=reset

	extern
	MenuListHandle
GetMenuList();

	extern
	MenuListHandle
GetCurrentMenuList();

	extern
	bool
ExtractMenuIcon(
	MenuHandle	menu,
	Handle		&iconSuite );

#include	"end_extern_c.h"

#endif	//	_MenuList_