pascal void DotMatrix (TPPrPortRef printPort);
asm void __Startup__ (void);
void main (void);

asm void __Startup__ (void)
{
		bra.s	trueEntry
		
origFunc:
		dc.l		0

trueEntry:
		cmp.l		#0x1800040C,4(sp)			// is this a call to PrClosePage?
		beq.s		DoSneak
		bra.s		SkipSneak
		
DoSneak:
		move.l		8(sp),-(sp)
		jsr			DotMatrix
		
SkipSneak:
		
		move.l		origFunc, -(sp)				// fake out the rts to go to the original function
		rts										// get outta here
}


pascal void DotMatrix (TPPrPortRef printPort)
{
	GrafPtr		origPort;
	short		i;
	
	GetPort (&origPort);
	
	SetPort ((GrafPtr)printPort);
	
	ForeColor (whiteColor); // force white
	
	// horizontal lines
	for (i = printPort->gPort.portRect.top; i += 2; i <= printPort->gPort.portRect.bottom)
	{
		MoveTo (printPort->gPort.portRect.left, i);
		LineTo (printPort->gPort.portRect.right, i);
	}
	
	// vertical lines
	for (i = printPort->gPort.portRect.left; i += 2; i <= printPort->gPort.portRect.right)
	{
		MoveTo (i, printPort->gPort.portRect.top);
		LineTo (i, printPort->gPort.portRect.bottom);
	}
	
	SetPort (origPort);
}


void main (void) // to make the compiler happy
{
}
