/*
	File:		LiveFastStartServer.h

	Contains:	Interface to the simple HTTP server sample.

	Written by:	Quinn "The Eskimo!"

	Copyright:	 1997 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

	You may incorporate this sample code into your applications without
	restriction, though the sample code has been provided "AS IS" and the
	responsibility for its operation is 100% yours.  However, what you are
	not permitted to do is to redistribute the source as "DSC Sample Code"
	after having made changes. If you're going to re-distribute the source,
	we require that you make it clear in the source that the code was
	descended from Apple Sample Code, but that you've made changes.
*/

#include <Types.h>
#include <Events.h>

#ifndef __LiveFastStartServer__
#define __LiveFastStartServer__

// See comments in implementation.

extern Boolean gQuitNow;

OSStatus RunHTTPServer(InetHost ipAddr, short vRefNum, long dirID);

OSErr InitLiveMovie();

OSErr InitGrabber();
OSErr IdleGrabber();
Boolean IsGrabberEvent( EventRecord *event );
OSErr KillGrabber();

#endif
