#ifndef _BASEMENU_
#define _BASEMENU_

#ifndef _MENU_
#include "Menu.h"
#endif

#ifndef _WINDOW_
#include "Window.h"
#endif


typedef class BaseMenu : public Menu
{
public:
	BaseMenu(UInt32 menuID);
	
	virtual void DoUpdate(void);
	virtual void DoSelect(UInt32 item);
	virtual Boolean DoSetDisableState(Boolean isBeingDisabled);
	virtual void DoWindowNotice(Window *window,Boolean isBeingAdded);
	virtual void DoWindowActivation(Window *window,Boolean isBeingActivated);
	
	virtual void HandleUpdate(void);
	virtual void HandleSelect(UInt32 item);
	virtual void HandleSetDisableState(Boolean isBeingDisabled);
	virtual void HandleWindowNotice(Window *window,Boolean isBeingAdded);
	virtual void HandleWindowActivation(Window *window,Boolean isBeingActivated);
} BaseMenu;


#endif /* _BASEMENU_ */
