#ifndef _MENUMANAGER_
#define _MENUMANAGER_

#ifndef _MENU_
#include "Menu.h"
#endif

#ifndef _WINDOW_
#include "Window.h"
#endif


typedef class MenuManager
{
public:
	virtual void DoAddMenu(Menu *menu) = 0;
	virtual void DoMenuUpdates(void) = 0;
	virtual void DoSelect(UInt32 menu,UInt32 item) = 0;
	virtual void DoWindowNotice(Window *window,Boolean isBeingAdded) = 0;
	virtual void DoWindowActivation(Window *window,Boolean isBeingActivated) = 0;
	virtual Menu *DoGetMenu(UInt32 menuID) = 0;
} MenuManager;


#endif /* _MENUMANAGER_ */
