#include <string>
#include <Types.h>

namespace PowerPlant {
	class LString;
}

class Str255Converter {
  public:
	Str255Converter(const std::string&);
	operator const unsigned char*() const;
  private:
	Str255 mStr255;
};

std::string AsString(const PowerPlant::LString&);
std::string AsString(ConstStr255Param);
Str255Converter AsStr255(const std::string&);
void CopyToStr255(const std::string&, Str255);

std::string& operator+=(std::string&, ConstStr255Param);
std::string operator+(const std::string&, ConstStr255Param);
std::string operator+(ConstStr255Param, const std::string&);
