/*=============================*\
		  Sound-IN-Sane
	A MacHack 1999 Production

	Developed and Written by

		  Shawn Platkus

		  June 25, 1999
\*=============================*/

// Filename:	Konstants.h

// This file has all the global definitions that this project uses including
//	mapping of the resource IDs

#ifndef _KONSTANTS_
#define _KONSTANTS_


//***
//		Misc Definitions
//***

#define kMaxSoundSources	10				// Maximum number of sound sources we can handle
#define kSleep				7L				// WaitNextEvent sleep time
#define kMoveToFront		(WindowPtr)-1L

#define kOn					1
#define kOff				0

#define kEditItemExists		true
#define kEventNotHandledYet	false
#define kEventHandled		true



//***
//		Resource Definitions
//***

//	Menubar
#define	kMBARid									128

//	Menus
#define mApple									128
	#define iAbout								1

#define mFile									129
	#define iDialog								1
	#define iQuit								3

// Dialogs
#define kDialogResID							128
	#define kItem_OK							1
	#define kItem_CycleTime						4
	#define kItem_FirstCheckbox					5
	#define kItem_LastCheckbox					14


#endif
