// NewFolderAction.h

#ifndef NewFolderAction_h
#define NewFolderAction_h

#ifndef Action_h
#include "Action.h"
#endif
#ifndef AEEvent_h
#include "AEEvent.h"
#endif

class FileLocation;
class Directory;
class CatInfo;

class NewFolderAction: public Action
  {
	private:
		AEEvent makeFolderEvent;
	
		static bool CouldBeNewFolder( const CatInfo& );
		static FileLocation FindNewFolder( Directory parent );
		
	public:
		void SetEvent( const AEEvent& );
		
		virtual void Undo();
		virtual void Redo();
  };

#endif
