// FinderAliasNamingLoop.h

#ifndef FinderAliasNamingLoop_h
#define FinderAliasNamingLoop_h

#ifndef Str_h
#include "Str.h"
#endif

/*
	This loop tries to mimic the buggy way the 8.5/8.6 Finder
	builds file names for aliases.  It follows the same interface
	as FinderNamingLoop.
*/

class FinderAliasNamingLoop
  {
	private:
		ConstPString baseName;
		ConstPString modifier;
		uint32 number;
		String31 total;

		void BuildName();
		
	public:
		FinderAliasNamingLoop( ConstPString baseName,
									  ConstPString modifier = "\palias" );
		
		void operator++();
		void operator++(int)					{ operator++(); }
		
		ConstPString operator*() const	{ return total; }
  };

#endif
