// ===========================================================================
//	LOffscreenView.h		   1994-1998 Metrowerks Inc. All rights reserved.
// ===========================================================================

#ifndef _H_CMolDynView
#define _H_CMolDynView
#pragma once

#include <LOffscreenView.h>

#if PP_Uses_Pragma_Import
	#pragma import on
#endif

PP_Begin_Namespace_PowerPlant

// ---------------------------------------------------------------------------

class	CMolDynView : public LView /* LOffscreenView */,
					  public PP_PowerPlant::LPeriodical  {
public:
	enum { class_ID = FOUR_CHAR_CODE('MLDv') };

							CMolDynView();
							
							CMolDynView(
									const SPaneInfo&	inPaneInfo,
									const SViewInfo&	inViewInfo);
									
							CMolDynView(LStream*		inStream);
							
	virtual					~CMolDynView();

	virtual	void			MolDynInit();

	virtual	void			SpendTime(const EventRecord&		inMacEvent);


#if 0
	virtual void			DrawOffscreen(
									RgnHandle			inSuperDrawRgnH,
									GWorldFlags			inFlags = 0);
#endif

	virtual void			DrawSelf();

protected:

	double twoPi;
	double t;
	double delta;

};

PP_End_Namespace_PowerPlant


#if PP_Uses_Pragma_Import
	#pragma import reset
#endif

#endif